# This file is a template, and might need editing before it works on your project.
# This is a sample GitLab CI/CD configuration file that should run without any modifications.
# It demonstrates a basic 3 stage CI/CD pipeline. Instead of real tests or scripts,
# it uses echo commands to simulate the pipeline execution.
#
# A pipeline is composed of independent jobs that run scripts, grouped into stages.
# Stages run in sequential order, but jobs within stages run in parallel.
#
# For more information, see: https://docs.gitlab.com/ee/ci/yaml/index.html#stages
#
# You can copy and paste this template into a new `.gitlab-ci.yml` file.
# You should not add this template to an existing `.gitlab-ci.yml` file by using the `include:` keyword.
#
# To contribute improvements to CI/CD templates, please follow the Development guide at:
# https://docs.gitlab.com/ee/development/cicd/templates.html
# This specific template is located at:
# https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/templates/Getting-Started.gitlab-ci.yml
before_script:
  - docker info
  - docker login -u $DOCKER_USERNAME  -p $DOCKER_PASS

build_image:
  script:
    - docker build -t my-docker-image .
    - docker tag my-docker-image $DOCKER_USERNAME/my-docker-image:01
    - docker push $DOCKER_USERNAME/my-docker-image:01
    - docker run $DOCKER_USERNAME/my-docker-image:01

#variables:
  #REGISTRY: registry.gitlab.com/sevgi.gulesci/test_gitlab 
  #DOCKER_HOST: tcp://docker:2375
  #DOCKER_DRIVER: overlay2

#before_script:
  #- docker login -u sevgi.gulesci@bonintel.com  -p $docker_pass registery.gitlab.com

 
#services:
  #- docker:dind


  tags:
    - shell_executer